Fs=2^16;
h = spectrum.periodogram('hamming');
hopts = psdopts(h,x1);  % Default options
set(hopts,'Fs',Fs,'SpectrumType','twosided','centerdc',true);
y=msspectrum(h,x1,hopts);
pause
plot(y.Frequencies,y.Data)
xlabel('Frequency (kHz)')
ylabel('Power (W)')